﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GazeWebSocketServer
{
    struct GazeData
    {
        public readonly float leftX;
        public readonly float leftY;
        public readonly float rightX;
        public readonly float rightY;

        public GazeData(float leftX, float leftY, float rightX, float rightY)
        {
            this.leftX = leftX;
            this.leftY = leftY;
            this.rightX = rightX;
            this.rightY = rightY;
        }

        public override string ToString()
        {
            return $"\"{leftX}\", \"{leftY}\", \"{rightX}\", \"{rightY}\"";
        }
    }
}
